Skip to main content
GET
/
v1
/
service
/
bbps
/
biller
/
info
Biller Details
curl --request GET \
  --url http://base_url/v1/service/bbps/biller/info \
  --header 'Authorization: Basic <encoded-value>'
{
  "code": "0x0200",
  "status": "SUCCESS",
  "message": "Biller Details Fetched Successfully",
  "data": {
    "billerId": "SBPDCL000BHI01",
    "billerName": "South Bihar Power Distribution Company Ltd.",
    "category": "ELECTRICITY",
    "billFetch": "MANDATORY",
    "billAmount": "EXACT AND ABOVE",
    "paramList": [
      {
        "paramName": "CANumber",
        "dataType": "NUMERIC",
        "isOptional": "false",
        "minLength": "9",
        "maxLength": "12",
        "regEx": "^(2)[0-9]{8,11}$|^(1)[0-9]{8}$",
        "visibility": "true"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

billerId
string
required

Response

OK

code
string
required
status
string
required
message
string
required
data
Data19 · object
required